/*------------------------------------------------------------------------------

   Function: longitude_difference

   Returns type: float

   Description:	This function returns the positive number of degrees of
		longitude traversed when moving from westernmost_longitude
		to easternmost_longitude.

		Both input values are expected to be in the range of
		-180.0 to 180.0 .

   Parameters: (in calling order)
      Type	Name			I/O	Description
      ----	----			---	-----------
      float	westernmost_longitude	In	degrees
      float	easternmost_longitude	In	degrees

   Modification history:
      Programmer	Date		Description of change
      ----------	----		---------------------
      Norman Kuring	02-Mar-1993	Original development

------------------------------------------------------------------------------*/

float
longitude_difference(westernmost_longitude,easternmost_longitude)
float		westernmost_longitude;
float		easternmost_longitude;
{

  if(easternmost_longitude >= westernmost_longitude)
    return(easternmost_longitude - westernmost_longitude);

  else
    return(360.0 + easternmost_longitude - westernmost_longitude);


}/*end longitude_difference()*/
