/* These four definitions refer to the four sides of a quadsphere bin. */
#define		QS_TOP			0
#define		QS_RIGHT		QS_TOP + 1
#define		QS_BOTTOM		QS_TOP + 2
#define		QS_LEFT			QS_TOP + 3

/* These nine definitions refer to the four corners, the center,
 * and the four centers of the four sides of a quadsphere bin. */
#define		QS_TOP_LEFT		QS_TOP
#define		QS_TOP_RIGHT		QS_TOP_LEFT + 1
#define		QS_BOTTOM_RIGHT		QS_TOP_LEFT + 2
#define		QS_BOTTOM_LEFT		QS_TOP_LEFT + 3
#define		QS_CENTER		QS_TOP_LEFT + 4
#define		QS_TOP_CENTER		QS_TOP_LEFT + 5
#define		QS_RIGHT_CENTER		QS_TOP_LEFT + 6
#define		QS_BOTTOM_CENTER	QS_TOP_LEFT + 7
#define		QS_LEFT_CENTER		QS_TOP_LEFT + 8

/* The above definitions are all in reference to QS_TOP to
 * simplify the code in the function, outline_bin_clusters(). */

/* The following describe the implementation of the quadsphere I am using. */
#define		QS_BIN_LEVEL		6
#define		QS_NUMBER_OF_BINS	24576	/* 6 * 2**(2 * QS_BIN_LEVEL) */
#define		QS_MASK_SIZE		3072	/* QS_NUMBER_OF_BINS / 8 */
#define		QS_LEVEL_7_NORTH_POLE_BIN_NUMBER	\
					3072
#define		QS_LEVEL_7_SOUTH_POLE_BIN_NUMBER	\
					23552
