/*
Norman Kuring		23-Feb-1993	Original development
Norman Kuring		 9-Mar-2004	Shorten the variable names
Norman Kuring		31-Mar-2004	Add clat and clon to AreaOfInterest
*/

#ifndef SPATIAL_INFO_H
#define SPATIAL_INFO_H

#include "quadsphere.h"

typedef struct Coordinates_{
  float		lat;
  float		lon;
}Coordinates;

typedef Coordinates Segment[2];

typedef struct CoordinateList_{
  float				lat;	/* latitude  */
  float				lon;	/* longitude */
  struct CoordinateList_	*next;
}CoordinateList;

typedef struct{
  long				n;	/* number of vertices */
  CoordinateList		*vrtx;	/* vertex pointer */
}Outline;

typedef struct{
  int				n;	/* number of polygons */
  Outline			*pgon;	/* polygon pointer */
}OutlineList;

typedef struct{
  char				bmsk[QS_MASK_SIZE];	/* qbin mask */
  OutlineList			pgons;
  float				s;	/* southernmost latitude */
  float				n;	/* northernmost latitude */
  float				w;	/* westernmost longitude */
  float				e;	/* easternmost longitude */
  float				clat;	/* central latitude  */
  float				clon;	/* central longitude */
}AreaOfInterest;

typedef struct{
  int				n;	/* number of areas of interest */
  AreaOfInterest		*area;	/* area of interest pointer */
}ListOfAreas;

#endif
